package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 实名认证表
 * </p>
 *
 * @author chenqi
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("actives")
@ApiModel(value="Actives对象", description="实名认证表")
public class Actives implements Serializable {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(name = "id", value = "用户主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(name = "userId",value = "用户ID")
    private Integer userId;

    @ApiModelProperty(name = "realName",value = "姓名")
    private String realName;

    @ApiModelProperty(name = "idNumber",value = "身份证号")
    private String idNumber;

    @ApiModelProperty(name = "image",value = "认证图片")
    private String image;

    @ApiModelProperty(name = "status",value = "状态 0待审核 1已审核 2已驳回")
    private Integer status;

    @ApiModelProperty(name = "note",value = "驳回原因")
    private String note;

    private Date createdAt;

    private Date updatedAt;


}
