package cn.wisenergy.model.app;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 86187
 */
@Data
public class UserRecharge {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 会员id
     */
    private Integer userId;

    /**
     * 币种id
     */
    private Integer currencyId;

    /**
     * 币种名称
     */
    private String name;

    /**
     * 0 ERC20
     */
    private Integer type;

    /**
     * 转入地址
     */
    private String receiveAddr;

    /**
     * 转出地址
     */
    private String fromAddr;

    /**
     * 转入金额
     */
    private BigDecimal amount;

    /**
     * 交易hash地址
     */
    private String hash;

    /**
     * 详细信息
     */
    private String detail;

    /**
     * 打款人姓名
     */
    private String payer;

    /**
     * 收款银行
     */
    private String bankName;

    /**
     * 收款人
     */
    private String bankRealName;

    /**
     * 收款银行卡
     */
    private String bankCard;

    /**
     * 打款方式
     */
    private String method;

    /**
     * 审核人
     */
    private String operate;

    /**
     * 审核时间
     */
    private Date operateAt;

    /**
     * 备注
     */
    private String note;

    /**
     * 状态 0 待处理 1 充值成功 2 充值失败
     */
    private Integer status;

    private Date createdAt;

    private Date updatedAt;

}
