package cn.wisenergy.web.admin.controller.app;

import cn.wisenergy.model.app.Users;
import cn.wisenergy.common.utils.R;
import cn.wisenergy.service.app.TestUserService;
import cn.wisenergy.web.common.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author ASUS
 */
@Api(tags = "用户管理")
@RestController("/user")
@Slf4j
public class TestUserController2 extends BaseController {

    @Autowired
    private TestUserService testUserService;

    @ApiOperation(value = "获取用户信息", notes = "获取用户信息", httpMethod = "GET")
    @ApiImplicitParam(name = "userId", value = "用户id", dataType = "int")
    @GetMapping("/getByUserId")
    public R<Users> getUserInfoById(Long userId) {
        log.info("TestUserController2[]getUserInfoById[]input.param.userId:" + userId);
        Users user = testUserService.getByUserInfoById(userId);
        return R.ok(user);
    }

}
